Summary:	The GNU libtool, which simplifies the use of shared libraries.
Name:		libtool
Group:		Development/Tools
License:	GPL
Version:	1.5.18
Release:	1
Source0:	ftp://ftp.gnu.org/gnu/libtool/libtool-%{version}.tar.gz
Patch01:	libtool-1.5.18-multilib-gd-1.diff
PreReq:		autoconf, automake >= 1.4p1, m4, perl
BuildRequires:	autoconf automake
Requires:	libtool-libs = %{version}-%{release}, mktemp
BuildRoot:	%{_tmppath}/%{name}-%{release}-root

%description
The libtool package contains the GNU libtool, a set of shell scripts
which automatically configure UNIX and UNIX-like architectures to
generically build shared libraries.  Libtool provides a consistent,
portable interface which simplifies the process of using shared
libraries.

%files
  %defattr(-,root,root)
  %doc AUTHORS COPYING INSTALL NEWS README THANKS TODO ChangeLog
  %attr(0511,root,root)	%{_bindir}/*
  %{_includedir}/*
  %{_datadir}/libtool
  %{_libdir}/libltdl.so
  %{_libdir}/libltdl.*a
  %{_datadir}/aclocal/*

%package libs
Summary:	Runtime libraries for GNU libtool.
Group:		System Environment/Libraries

%description libs
The libtool-libs package contains the runtime libraries from GNU
libtool.  GNU libtool uses these libraries to provide portable dynamic
loading of shared libraries.

%files libs
  %defattr(-,root,root)
  %{_libdir}/libltdl.so.*

%prep
%setup -q
%patch01 -p1

  autoreconf

%build
  CFLAGS="${CFLAGS:-%optflags}" ; export CFLAGS
  CXXFLAGS="${CXXFLAGS:-%optflags}" ; export CXXFLAGS
  FFLAGS="${FFLAGS:-%optflags}" ; export FFLAGS 

  for i in $(find . -name config.guess -o -name config.sub 2>/dev/null) ; do 
     [ -f /usr/lib/rpm/redhat/$(basename $i) ] && %{__rm} -f $i && %{__cp} -fv /usr/lib/rpm/redhat/$(basename $i) $i ;
  done

  %configure
  make %{?_smp_mflags}

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%makeinstall

  # Remove unpackaged files.
  rm -rf $RPM_BUILD_ROOT/%{_infodir}

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post libs   -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%changelog
* Tue Jun 29 2005 Pete O'Hara <pete@guardiandigital.com>
- Version 1.5.18, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
